Subject: Need help

From: [email-masked]
Date: Wed, 27 Jul 94 16:59:35 CDT

Hi, everybody:
  I have three questions:
1. Is there anyone, by any chance, to know how long it will take to become a
   residence of US after getting Green Card (PR) as a CSPA principle (6.4 card)
   in US, 3 years or 5 years?
2. How long should I stay in US per year to keep my PR status?
3. Is there anyone to know the phone number of Consulate of USA at Guangzhou? I
   would like to know Fax # too, if it is possible.

Thank you so much in advance!!
Appreciate for any information!!!